package com.leromro.core.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单费用结算申请对象 l_order_settlement_application
 * 
 * @author lsd
 * @date 2025-05-13
 */
@Data
public class OrderSettlementApplicationDetailVO {
    // 结算申请记录id
    private Long id;
    // 申请时间
    private Date applyTime;

    // 申请人
    private String applyUserName;

    // 申请组织（区域/服务中心）
    private String applicant;

    // 订单id
    private Long secondOrderId;

    // 订单号
    private String outTradeNo;

    // 下单时间
    private Date orderTime;

    // 用户名称
    private String userNickName;

    // 志愿者名称
    private String volunteerName;

    // 服务项目内容
    private String businessDescribe;

    // 服务项目类型
    private String businessTierName;

    // 服务开始时间
    private Date serviceStartTime;

    // 服务结束时间
    private Date serviceEndTime;

    // 订单总金额
    private BigDecimal orderTotalPrice;

    // 订单状态
    private String orderStatus;

    // 区域公司
    private String areaName;

    // 服务中心
    private String serviceCentreName;

    // 区域公司抽成金额
    private BigDecimal areaDistributionAmount;

    // 区域公司结算状态
    private String areaSettlementStatus;

    // 区域公司结算时间
    private Date areaSettlementTime;

    // 服务中心抽成金额
    private BigDecimal serviceCentreDistributionAmount;

    // 服务中心结算状态
    private String serviceCentreSettlementStatus;

    // 服务中心结算时间
    private Date serviceCentreSettlementTime;

    // 审核人名称
    private String auditorUserNickName;

    // 审核时间
    private Date auditorTime;

    // 审核状态 10审核中 20审核通过 30审核未通过 40已取消
    private String auditorStatus;

    // 审核结果说明
    private String auditorRemark;
}
